in kernel amdgpu failed with W5500 [1002:7341]

Bug #1881525 reported by Hsuan-Yu Lin on 2020-06-01
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Hsuan-Yu Lin

Bug Description

[SRU Justfication]

[Impact]
amdgpu is always failed on bionic 5.4 kernel.

Since bionic's kernel will upgrade to 5.4 in the future,
but bionic's linux-firmware didn't support navi14.
So if a user update kernel to 5.4,
he/she still can't use the related navi14 devices.

# dmesg | grep amdgpu
[drm] amdgpu kernel modesetting enabled.
amdgpu remove_conflicting_pci_framebuffers: bar 0: 0x6000000000 -> 0x600fffffff
amdgpu remove_conflicting_pci_framebuffers: bar 2: 0x6010000000 -> 0x60101fffff
amdgpu remove_conflicting_pci_framebuffers: bar 5: 0x7e800000 -> 0x7e87ffff
fb0: switching to amdgpudrmfb from EFI VGA
amdgpu vgaarb: deactivate vga console
amdgpu enabling device (0106 -> 0107)
amdgpu Direct firmware load for amdgpu/navi14_gpu_info.bin failed with error -2
amdgpu Failed to load gpu_info firmware "amdgpu/navi14_gpu_info.bin"
amdgpu Fatal error during GPU init

[Fix]
Patchset[1] for navi14's support currently landed in focal's linux-firmware,
so we backported them to bionic's linux-firmware.

[1]:
aa95e90b2c638f1ca6647d12b2d1b18284428f9c
d4f88ea76e442e6652de1367050e33314594d533
40656437f476ef7c47972731671ddcc9e4c4225b
7319341e6e40f8bae1f2623eb5e4ddc0e2b50076
b5b176ac09b6d1211da1e5db8e0c31ac830e4b8c

[Test]
The amdgpu can be recognized and initialized when booting.

# dmesg | grep amdgpu
[drm] amdgpu kernel modesetting enabled.
amdgpu remove_conflicting_pci_framebuffers: bar 0: 0x6000000000 -> 0x600fffffff
amdgpu remove_conflicting_pci_framebuffers: bar 2: 0x6010000000 -> 0x60101fffff
amdgpu remove_conflicting_pci_framebuffers: bar 5: 0x7e800000 -> 0x7e87ffff
amdgpu enabling device (0106 -> 0107)
amdgpu VRAM: 8176M 0x0000008000000000 - 0x00000081FEFFFFFF (8176M used)
amdgpu GART: 512M 0x0000000000000000 - 0x000000001FFFFFFF
[drm] amdgpu: 8176M of VRAM memory ready
[drm] amdgpu: 8176M of GTT memory ready.
...
[drm] Initialized amdgpu 3.35.0 20150101 for 0000:03:00.0 on minor 1

[Regression Potential]
Low, just adding new navi14 firmware, no change to existing firmware.

X-HWE-Bug: Bug #1880678
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.14
Architecture: amd64
Dependencies:

DistributionChannelDescriptor:
 # This is the distribution channel descriptor for the OEM CDs
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-bionic-amd64-20190418-59+beaver-osp1-hotpie+X34
DistroRelease: Ubuntu 18.04
InstallationDate: Installed on 2020-05-25 (6 days ago)
InstallationMedia: Ubuntu 18.04 "Bionic" - Build amd64 LIVE Binary 20190418-12:10
Package: linux-firmware 1.173.18+navi14 [origin: LP-PPA-shanelin-linux-firmware]
PackageArchitecture: all
ProcVersionSignature: Ubuntu 5.4.0-31.35~18.04.2-generic 5.4.34
Tags: bionic uec-images third-party-packages
Uname: Linux 5.4.0-31-generic x86_64
UnreportableReason: This is not an official Ubuntu package. Please remove any third party package and try again.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True

Hsuan-Yu Lin (shanelin) on 2020-06-01
Changed in linux-oem-osp1 (Ubuntu Bionic):
assignee: nobody → Hsuan-Yu Lin (shanelin)
no longer affects: linux-oem-osp1 (Ubuntu)
no longer affects: linux-oem-osp1 (Ubuntu Bionic)
Changed in linux-firmware (Ubuntu Bionic):
assignee: nobody → Hsuan-Yu Lin (shanelin)
status: New → In Progress
Changed in linux-firmware (Ubuntu):
status: New → Invalid
Hsuan-Yu Lin (shanelin) on 2020-06-01
description: updated

apport information

tags: added: apport-collected bionic third-party-packages uec-images
description: updated

apport information

Hsuan-Yu Lin (shanelin) on 2020-06-01
tags: added: oem-priority originate-from-1880678 timbuktu
tags: removed: timbuktu
Hsuan-Yu Lin (shanelin) on 2020-06-01
description: updated

Hello Hsuan-Yu, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.19 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux-firmware (Ubuntu Bionic):
status: In Progress → Fix Committed
Hsuan-Yu Lin (shanelin) on 2020-06-24
tags: added: verification-needed-bionic
Hsuan-Yu Lin (shanelin) wrote :

Verify linux-firmware 1.173.19 in the -proposed repository fixed.

$ cat dmesg.txt |grep -i amdgpu
[ 1.376596] [drm] amdgpu kernel modesetting enabled.
[ 1.376922] amdgpu 0000:03:00.0: remove_conflicting_pci_framebuffers: bar 0: 0x6000000000 -> 0x600fffffff
[ 1.376923] amdgpu 0000:03:00.0: remove_conflicting_pci_framebuffers: bar 2: 0x6010000000 -> 0x60101fffff
[ 1.376923] amdgpu 0000:03:00.0: remove_conflicting_pci_framebuffers: bar 5: 0x7e800000 -> 0x7e87ffff
[ 1.376975] amdgpu 0000:03:00.0: enabling device (0106 -> 0107)
[ 1.400152] amdgpu 0000:03:00.0: VRAM: 8176M 0x0000008000000000 - 0x00000081FEFFFFFF (8176M used)
[ 1.400153] amdgpu 0000:03:00.0: GART: 512M 0x0000000000000000 - 0x000000001FFFFFFF
[ 1.400218] [drm] amdgpu: 8176M of VRAM memory ready
[ 1.400219] [drm] amdgpu: 8176M of GTT memory ready.
[ 2.030115] amdgpu: [powerplay] smu driver if version = 0x00000034, smu fw if version = 0x00000036, smu fw version = 0x00351a00 (53.26.0)
[ 2.030115] amdgpu: [powerplay] SMU driver if version not matched
[ 2.041545] amdgpu: [powerplay] SMU is initialized successfully!
[ 2.059773] amdgpu 0000:03:00.0: ring 0(gfx_0.0.0) uses VM inv eng 4 on hub 0
[ 2.059773] amdgpu 0000:03:00.0: ring 1(gfx_0.1.0) uses VM inv eng 5 on hub 0
[ 2.059774] amdgpu 0000:03:00.0: ring 2(comp_1.0.0) uses VM inv eng 6 on hub 0
[ 2.059774] amdgpu 0000:03:00.0: ring 3(comp_1.1.0) uses VM inv eng 7 on hub 0
[ 2.059775] amdgpu 0000:03:00.0: ring 4(comp_1.2.0) uses VM inv eng 8 on hub 0
[ 2.059775] amdgpu 0000:03:00.0: ring 5(comp_1.3.0) uses VM inv eng 9 on hub 0
[ 2.059776] amdgpu 0000:03:00.0: ring 6(comp_1.0.1) uses VM inv eng 10 on hub 0
[ 2.059776] amdgpu 0000:03:00.0: ring 7(comp_1.1.1) uses VM inv eng 11 on hub 0
[ 2.059777] amdgpu 0000:03:00.0: ring 8(comp_1.2.1) uses VM inv eng 12 on hub 0
[ 2.059777] amdgpu 0000:03:00.0: ring 9(comp_1.3.1) uses VM inv eng 13 on hub 0
[ 2.059777] amdgpu 0000:03:00.0: ring 10(kiq_2.1.0) uses VM inv eng 14 on hub 0
[ 2.059778] amdgpu 0000:03:00.0: ring 11(sdma0) uses VM inv eng 15 on hub 0
[ 2.059778] amdgpu 0000:03:00.0: ring 12(sdma1) uses VM inv eng 16 on hub 0
[ 2.059779] amdgpu 0000:03:00.0: ring 13(vcn_dec) uses VM inv eng 4 on hub 1
[ 2.059779] amdgpu 0000:03:00.0: ring 14(vcn_enc0) uses VM inv eng 5 on hub 1
[ 2.059780] amdgpu 0000:03:00.0: ring 15(vcn_enc1) uses VM inv eng 6 on hub 1
[ 2.059780] amdgpu 0000:03:00.0: ring 16(vcn_jpeg) uses VM inv eng 7 on hub 1
[ 2.059855] [drm] Initialized amdgpu 3.35.0 20150101 for 0000:03:00.0 on minor 1
[ 90.783822] snd_hda_intel 0000:03:00.1: bound 0000:03:00.0 (ops amdgpu_dm_audio_component_bind_ops [amdgpu])

tags: added: verification-done-bionic
removed: verification-needed-bionic
Changed in hwe-next:
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers